<?php

// ACP Header - START
if (!empty($setmodules))
{
	$module['Mods']['Contactus'] = basename(__FILE__) . '?mode=list';
	return;
}
require('./pagestart.php');
// ACP Header - END

$mode = isset($_GET['mode']) ? $_GET['mode'] : '';
$submit  = isset($_POST['submit']);
$countact_id = isset($_GET['id']) ? (int) $_GET['id'] : '';
$selected = isset($_POST['select']) ? implode(',', $_POST['select']) : '';
$message  = (string) request_var('message', '');

switch($mode)
{
	case 'list':
		$sql_count = DB()->fetch_row("SELECT COUNT(id) AS count FROM bb_contactus");
		if(!$sql_count['count']) bb_die('Вопросов пока нету !');
		
		$sql = DB()->fetch_rowset("SELECT * FROM bb_contactus ORDER BY msg_type ASC");
		
		foreach($sql as $i => $row)
		{
			$template->assign_block_vars('list', array(
				'ROW_CLASS'	  => !($i % 2) ? 'row2' : 'row1',
				'NUMBER'      => $i + 1,
				'ID'		  => $row['id'],
				'MSG_TYPE'	  => $bb_cfg['massege_type_view'][$row['msg_type']],
				'ADMIN_TYPE'  => $bb_cfg['admin_type_view'][$row['admin_type']],
				'NAME'		  => $row['name'],
				'TIME'		  => bb_date($row['msg_time']),
				'TITLE'		  => $row['subject'],
			));
		}
		
		$template->assign_vars(array(
			'TPL_LIST' 		=> true,
			'S_ACTION' 		=> 'admin_countactus.php',
			'S_MODE'        => 'list',
		));
		
		break;
	
	case 'view':
	
		$sql = DB()-> fetch_rowset("SELECT * FROM bb_contactus WHERE id = $countact_id");
		
		foreach($sql as $row)
		{
			$template->assign_vars(array(
				'ID'		 => $row['id'],
				'TIME'		 => bb_date($row['msg_time']),
				'USER_IP'	 => decode_ip($row['user_ip']),
				'MSG_TYPE'	 => $bb_cfg['massege_type_view'][$row['msg_type']],
				'ADMIN_TYPE' => $row['admin_type'] ? $bb_cfg['admin_type'][$row['admin_type']] : '',
				'EMAIL'		 => $row['email'],
				'NAME'		 => $row['name'],
				'TITLE'		 => $row['subject'],
				'MASSEGE'	 => $row['massege'],
			));
		}
		
		$select_type = array();
		foreach($bb_cfg['admin_type'] as $type => $key)
		{	
			$select_type[$key] = $type;
		}
		
		$template->assign_vars(array(
			'TPL_EDIT'     		=> true,
			'S_ACTION'     		=> 'admin_countactus.php',
			'S_MODE'            => 'view',
			'ADMIN_TYPE'		=> build_select('admin_type', $select_type, $row['admin_type']),
		));
		
		break;
		
	case 'delete':
		DB()->query("DELETE FROM bb_contactus WHERE id IN ($countact_id)");
		meta_refresh('admin_countactus.php?mode=list', 2);
		bb_die('Готово !');
		break;
}

if ($submit)
{
	if ($_POST['mode'] == 'list' && $selected)
	{
		DB()->query("DELETE FROM bb_contactus WHERE id IN ($selected)");
		meta_refresh('admin_countactus.php?mode=list', 2);
		bb_die('Удаление закончино!');
	}
	elseif ($_POST['mode'] == 'view')
	{
		$id 		= $_POST['id'];
		$admin_type = $_POST['admin_type'];
		
		DB()->query("UPDATE bb_contactus SET
			admin_type = '$admin_type'
		WHERE
			id = '$id'
		");

		if ($_POST['message'])
		{
			require(INC_DIR .'emailer.class.php');
			
			$emailer = new emailer($bb_cfg['smtp_delivery']);
				
			$emailer->from($bb_cfg['sitename'] ." <{$bb_cfg['board_email']}>");
			$emailer->email_address($_POST['name'] ." <{$_POST['email']}>");
			$emailer->use_template('admin_send_email');
				
			$emailer->assign_vars(array(
				'TITLE'		 => $_POST['subject'],
				'MESSAGE'    => html_entity_decode($message),
			));
				
			$emailer->send();
			$emailer->reset();
		}
		elseif (!empty($_POST['delete']))
		{
			$id = $_POST['id'];
			DB()->query("DELETE FROM bb_contactus WHERE id = $id");
		}
		
		meta_refresh('admin_countactus.php?mode=list', 2);
		bb_die('Действие было исполнено!');
	}
}

print_page('admin_countactus.tpl', 'admin');